Package org.apache.uima.resource.metadata.impl

# Class TypePriorityList_impl

java.lang.Object
org.apache.uima.resource.metadata.impl.MetaDataObject_impl
org.apache.uima.resource.metadata.impl.TypePriorityList_impl

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `MetaDataObject`, `TypePriorityList`, `XMLizable`

public class TypePriorityList_impl extends MetaDataObject_impl implements TypePriorityList
Reference implementation of `TypePriorityList`.

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.uima.resource.metadata.impl.MetaDataObject_impl

  `MetaDataObject_impl.MetaDataAttr, MetaDataObject_impl.SerialContext, MetaDataObject_impl.Serializer`

- ## Field Summary

  ### Fields inherited from class org.apache.uima.resource.metadata.impl.MetaDataObject_impl

  `serialContext`

  ### Fields inherited from interface org.apache.uima.resource.metadata.TypePriorityList

  `EMPTY_TYPE_PRIORITY_LISTS`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TypePriorityList_impl()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addType(String aTypeName)`
  Adds a type at the end of the priority list.
  `Object`
  `clone()`
  Creates a clone of this `MetaDataObject`.
  `String[]`
  `getTypes()`
  Gets the type names, in order of their priority.
  `protected XmlizationInfo`
  `getXmlizationInfo()`
  To be implemented by subclasses to return information describing how to represent this object in XML.
  `void`
  `removeType(String aTypeName)`
  Removes a type from the priority list.
  `void`
  `setTypes(String[] aTypeNames)`
  Sets the type names, in order of their priority.

  ### Methods inherited from class org.apache.uima.resource.metadata.impl.MetaDataObject_impl

  `buildFromXMLElement, buildFromXMLElement, equals, getAdditionalAttributes, getAttributeClass, getAttributeValue, getInfoset, getMatchingNode, getPropertyDescriptors, getPropertyXmlInfo, getRelativePathBase, getSerialContext, getSourceUrl, getSourceUrlString, getWrapperClass, getXMLAttributes, hashCode, isModifiable, listAttributes, readArrayPropertyValueFromXMLElement, readMapPropertyFromXml, readPropertyValueFromXMLElement, readUnknownPropertyValueFromXMLElement, resolveSettings, setAttributeValue, setInfoset, setSourceUrl, setSourceUrlIfNull, toString, toXML, toXML, toXML, toXML, valueIsNullOrEmptyArray, writeArrayPropertyAsElement, writeMapPropertyToXml, writePropertyAsElement`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.apache.uima.resource.metadata.MetaDataObject

  `equals, getAttributeValue, getSourceUrl, getSourceUrlString, isModifiable, listAttributes, setAttributeValue, setSourceUrl`

  ### Methods inherited from interface org.apache.uima.util.XMLizable

  `buildFromXMLElement, buildFromXMLElement, toXML, toXML, toXML, toXML`

- ## Constructor Details

  - ### TypePriorityList_impl

    public TypePriorityList_impl()

- ## Method Details

  - ### getTypes

    public String[] getTypes()
    Description copied from interface: `TypePriorityList`
    Gets the type names, in order of their priority.
    Specified by:
      `getTypes` in interface `TypePriorityList`
    Returns:
      an array of type names, in order of their priority
    See Also:
      - `synchronized to prevent concurrent modification exceptions`

  - ### setTypes

    public void setTypes(String[] aTypeNames)
    Description copied from interface: `TypePriorityList`
    Sets the type names, in order of their priority.
    Specified by:
      `setTypes` in interface `TypePriorityList`
    Parameters:
      `aTypeNames` - an array type names, in order of their priority
    See Also:
      - `TypePriorityList.setTypes(java.lang.String[])`

  - ### addType

    public void addType(String aTypeName)
    Description copied from interface: `TypePriorityList`
    Adds a type at the end of the priority list.
    Specified by:
      `addType` in interface `TypePriorityList`
    Parameters:
      `aTypeName` - the type name to add
    See Also:
      - `TypePriorityList.addType(java.lang.String)`

  - ### removeType

    public void removeType(String aTypeName)
    Description copied from interface: `TypePriorityList`
    Removes a type from the priority list.
    Specified by:
      `removeType` in interface `TypePriorityList`
    Parameters:
      `aTypeName` - the type name to remove
    See Also:
      - `TypePriorityList.removeType(java.lang.String)`

  - ### clone

    public Object clone()
    Description copied from interface: `MetaDataObject`
    Creates a clone of this `MetaDataObject`. This performs a "deep" copy by cloning all attribute values that are also MetaDataObjects.
    Specified by:
      `clone` in interface `MetaDataObject`
    Overrides:
      `clone` in class `MetaDataObject_impl`
    Returns:
      a clone of this `MetaDataObject`
    See Also:
      - `multi-core: could be cloning while another thread is modifying?`

  - ### getXmlizationInfo

    protected XmlizationInfo getXmlizationInfo()
    Description copied from class: `MetaDataObject_impl`
    To be implemented by subclasses to return information describing how to represent this object in XML.
    Specified by:
      `getXmlizationInfo` in class `MetaDataObject_impl`
    Returns:
      information defining this object's XML representation
    See Also:
      - `MetaDataObject_impl.getXmlizationInfo()`